#ifndef _spi2_h_
#define _spi2_h_

#define	_MIPS32 __attribute__((nomips16,noinline))
#define	_ISR    __attribute__((interrupt,nomips16,noinline))
//================================================================
//	SPI Config:
#define	USE_SPI2				(1)	// SPI2 gp.
#define	SVGA_MODE				(1)	// 0:VGA 1:SVGA

#define	DDS_TEST				(0)	// DDS
#define	TEST_SPI2_TONE			(0)	// SPI2 ɃeXgf[^Write.
#define	DMA_INTERRUPT			(0)	// DMA荞݂gp.


#if	DDS_TEST
//	SPI2TX Empty荞݂gpĘA(Audio).
#define	USE_SPI2_INTERRUPT		(1)	// SPI2 M荞݂gp.
#define	USE_DMA					(0)	// DMA  gp. (0)= SPI_writeőp.
#else
//	DMAgp1LINȄ.
#define	USE_SPI2_INTERRUPT		(0)	// SPI2 M荞݂gp.
#define	USE_DMA					(1)	// DMA  gp. (0)= SPI_writeőp.
#endif


//================================================================
#include "utype.h"

//================================================================
void	SPI2_mode(uchar mode);
void	SPI2_clock(uint speed);
void	SPI2_close();
void	SPI2_init();

uint 	SPI2_write(uint data_out);
uint 	SPI2_read(void);
//================================================================

void 	init_vga(void);
void 	_MIPS32 wait_ms(int ms);
void 	draw_screen(void);
void	putch_cls();


#endif

